Telegram APIPayments
payments.getStarsGiveawayOptions
Fetch a list of star giveaway options ».
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Fetch a list of star giveaway options ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarsGiveawayOptions" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "starsGiveawayOption", "extended": true, "default": true, "stars": "string", "yearlyBoosts": 0, "storeProduct": "string", "currency": "string", "amount": "string", "winners": [ { "_": "starsGiveawayWinnersOption", "default": true, "users": 0, "perUserStars": "string" } ] }}getStarsGiftOptions
Obtain a list of [Telegram Stars gift options »](https://core.telegram.org/api/stars#buying-or-gifting-stars) as `RawStarsGiftOption` constructors.
getStarsRevenueAdsAccountUrl
Returns a URL for a Telegram Ad platform account that can be used to set up advertisements for channel/bot in peer, paid using the Telegram Stars owned by the specified peer, see [here »](https://core.telegram.org/api/stars#paying-for-ads) for more info.